| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::Histo1DGrammar Class Reference

Inheritance diagram for Gaudi::Parsers::Histo1DGrammar:

[legend]
Collaboration diagram for Gaudi::Parsers::Histo1DGrammar:

[legend]
List of all members.

## Detailed Description

The simple grammar for histogram description/definition:.

The valid representations of the histogram descriptor are:

- (0.0,1.0,100,'title')
- (0.0,1.0,100)
- (0.0,1.0)
- ('title',0.0,1.0,100)
- ('title',0.0,1.0)
- (0.0,1.0,'title',100)
- (0.0,1.0,'title')

See also:
  Gaudi::Histo1DDef

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2007-09-17

Definition at line 44 of file ParseHistos.cpp.

## Public Types
typedef Gaudi::Histo1DDef | ResultT
## Public Member Functions
void | matchLow (const double low) const
| callback. Action when we match first value
void | matchHigh (const double high) const
void | matchTitle (const std::string &title) const
void | matchBins (const int bins) const
## Classes
struct | definition

## Member Typedef Documentation

typedef Gaudi::Histo1DDef Gaudi::Parsers::Histo1DGrammar::ResultT

Definition at line 50 of file ParseHistos.cpp.

## Member Function Documentation

void Gaudi::Parsers::Histo1DGrammar::matchLow | ( | const double | low | ) | const`[inline]`

callback. Action when we match first value

Definition at line 53 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

    00054       { this -> val() . setLowEdge  ( low   ) ; }

void Gaudi::Parsers::Histo1DGrammar::matchHigh | ( | const double | high | ) | const`[inline]`

Definition at line 55 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

    00056       { this -> val() . setHighEdge ( high  ) ; }

void Gaudi::Parsers::Histo1DGrammar::matchTitle | ( | const std::string & | title | ) | const`[inline]`

Definition at line 57 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

    00058       { this -> val() . setTitle    ( title ) ; }

void Gaudi::Parsers::Histo1DGrammar::matchBins | ( | const int | bins | ) | const`[inline]`

Definition at line 59 of file ParseHistos.cpp.

Referenced by Gaudi::Parsers::Histo1DGrammar::definition< ScannerT >::definition().

    00060       { this -> val() . setBins     ( bins  ) ; }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/ParseHistos.cpp